Skip to main content
POST
Run Pipeline

Authorizations

x-api-key
string
header
required

Headers

Pulse-Version
string
default:2

Body

A pipeline to run on one document. A pipeline always runs async.

file_url
string
required

The document's URL: a public http(s) URL, a public s3:// or gs:// object, or an upload URL Pulse issued.

Minimum string length: 1
config
PipelineConfig { step, children } · object
required

This request's options.

Response

The pipeline started. Check GET /pipeline/{pipeline_id} until it ends.

A pipeline that has started. Check GET /pipeline/{pipeline_id} until it ends.

pipeline_id
string
required

The pipeline's id, pipeline-<uuid>.

created_at
string
required

When the job was created.